# Raumplaner.py

from grafikfenster import *

from schrank import Schrank
from stuhl import Stuhl
from tisch import Tisch
from sessel import Sessel
from sofa import Sofa

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        self.TestAnwendung()
        return True

    def TestAnwendung(self):
        # Allein fuer die Testanwendung:
        global stuhl,tisch,schrank
        stuhl=Stuhl(30, 30, 40, 40, 270, 'blue', True)
        tisch=Tisch(80, 20, 120, 60, 0, 'red', True)
        schrank=Schrank(300,80,60,37,90,'brown',True)
        sessel=Sessel(130, 120, 60, 60, 0, 'orange', True)
        sofa=Sofa(10, 220, 140, 60, 270, 'orange', True)
    
    def BildExport(self, dateiname="Bild.png"):
        Zeichenflaeche.GibZeichenflaeche().BildExport(dateiname)
        
### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
